using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ColorMgr : MonoBehaviour
{
    public Color brightBorder;
    public Color brightFill;
    public Color darkBorder;
    public Color darkFill;

    public Material mat;

    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        
    }

    [ContextMenu("Set Dark")]
    public void SetDark() {
        mat.SetColor("_ColorA", darkBorder);
        mat.SetColor("_ColorB", darkFill);
    }

    [ContextMenu("Set Light")]
    public void SetLight() {
        mat.SetColor("_ColorA", brightBorder);
        mat.SetColor("_ColorB", brightFill);
    }
}
